Bug 1733383 - Unable to receive "generalize" event from Azure after generalizing an instance
Summary: Unable to receive "generalize" event from Azure after generalizing an instance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.11
Assignee: Daniel Berger
QA Contact: John Dupuy
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1724312
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 21:53 UTC by Satoe Imaishi
Modified: 2019-11-19 20:58 UTC (History)
11 users (show)

Fixed In Version: 5.10.11.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1724312
Environment:
Last Closed: 2019-10-09 13:51:12 UTC
Category: ---
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2967 None None None 2019-10-09 13:51:26 UTC

Comment 2 CFME Bot 2019-07-25 22:00:44 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/e725e22e2a8b06fee660178b32291d6f39671a0b
commit e725e22e2a8b06fee660178b32291d6f39671a0b
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Jul 23 11:06:41 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Jul 23 11:06:41 2019 -0400

    Merge pull request #19031 from AlexanderZagaynov/BZ-1724312_unable_to_receive_events

    set vm name on reconnect

    (cherry picked from commit d538216bee7cb573342a28cda903d64ec232ed19)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1733383

 app/models/vm_or_template.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 3 CFME Bot 2019-07-25 22:01:22 UTC
New commit detected on ManageIQ/manageiq-providers-azure/hammer:

https://github.com/ManageIQ/manageiq-providers-azure/commit/6195bd3c428cabfe0290eea54b55441496e9721b
commit 6195bd3c428cabfe0290eea54b55441496e9721b
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Jul 24 12:03:45 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Wed Jul 24 12:03:45 2019 -0400

    Merge pull request #338 from AlexanderZagaynov/BZ-1724312_unable_to_receive_events

    fix wrong timestamp format

    (cherry picked from commit 6b90aaac83e228a4fa52a31123dadf43f8ce42e2)

    https://bugzilla.redhat.com/show_bug.cgi?id=1733383

 app/models/manageiq/providers/azure/cloud_manager/event_catcher/stream.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Alexander Zagaynov 2019-08-14 14:32:21 UTC
Moving to POST as there is already merged PR which should solve that problem: https://github.com/ManageIQ/manageiq-providers-azure/pull/343

Comment 7 Alexander Zagaynov 2019-09-03 15:07:26 UTC
backported

Comment 16 CFME Bot 2019-09-19 21:26:07 UTC
New commit detected on ManageIQ/manageiq-providers-azure/hammer:

https://github.com/ManageIQ/manageiq-providers-azure/commit/efc7b57d34b34cc417fdf5782475b0348ded4afd
commit efc7b57d34b34cc417fdf5782475b0348ded4afd
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Sep 19 15:42:38 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Sep 19 15:42:38 2019 -0400

    Merge pull request #350 from djberg96/event_timestamps

    Fix event timestamps for Azure

    (cherry picked from commit a5a223857b4fcbd175b5d7bd51c2c3bfee998604)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1733383

 app/models/manageiq/providers/azure/cloud_manager/event_catcher/stream.rb | 85 +-
 app/models/manageiq/providers/azure/cloud_manager/event_parser.rb | 18 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/availabilitySets_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/availabilitySets_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/deployments_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/disks_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/disks_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/images_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/images_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/loadBalancers_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/loadBalancers_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/locks_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/locks_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/networkInterfaces_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/networkInterfaces_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/networkSecurityGroups_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/networkSecurityGroups_securityRules_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/networkSecurityGroups_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/publicIPAddresses_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/publicIPAddresses_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/publicIpAddresses_delete_EndRequest_downcase.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/publicIpAddresses_write_EndRequest_downcase.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/snapshots_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/snapshots_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/storageAccounts_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/storageAccounts_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/subscriptions_resourceGroups_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/subscriptions_resourcegroups_EndRequest_downcase.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualMachines_deallocate_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualMachines_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualMachines_generalize_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualMachines_powerOff_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualMachines_restart_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualMachines_start_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualMachines_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualNetworks_delete_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualNetworks_subnets_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualNetworks_write_EndRequest.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualnetworks_delete_EndRequest_downcase.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualnetworks_subnets_EndRequest_downcase.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_catcher/event_data/virtualnetworks_write_EndRequest_downcase.json | 2 +-
 spec/models/manageiq/providers/azure/cloud_manager/event_parser_spec.rb | 9 +-
 42 files changed, 119 insertions(+), 71 deletions(-)

Comment 17 John Dupuy 2019-09-25 11:28:52 UTC
Verified in CFME 5.10.11.0 

Steps of verification:
1) Add Azure as provider to CFME
2) Provision instance
3) Generalize and capture instance

All events were received, including generalize_EndRequest and capture_EndRequest thanks to @dberger for working on this!

Comment 19 errata-xmlrpc 2019-10-09 13:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2967


Note You need to log in before you can comment on or make changes to this bug.